Bug 1459450 - Bluetooth keyboard for LUKS password
Bluetooth keyboard for LUKS password
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: luks-tools (Show other bugs)
26
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 04:06 EDT by Gurenko Alex
Modified: 2018-05-29 07:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:32:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gurenko Alex 2017-06-07 04:06:11 EDT
Description of problem: I'm not sure which component to pick for that, so please fix that accordingly.

 The problem I have is that I'm using a Bluetooth keyboard (Microsoft Surface Ergonomic Keyboard) and my ssd is encrypted with luks. At a boot time when passphrase is prompted, I cannot type password since Bluetooth is not available at this point yet. I've tried to search for ways to add Bluetooth support to initramfs, but still couldn't do it. While my wireless headphones do say that they are connected at luks prompt (I have no way of checking whether it's true) keyboard does not. Is there a way to add a proper Bluetooth keyboard support for that? This will save a lot of trouble for me.


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Boot laptop
2. Wait for LUKS passphrase prompt
3. Try typing a password

Actual results: Cannot type password, since keyboard is not connected


Expected results: Typing password successfully with Bluetooth keyboard


Additional info: I think since Bluetooth keyboards are becoming more popular thanks to big companies, it will be useful to have at least an official/semi-official docs on how to achieve that.
Comment 1 Fedora End Of Life 2018-05-03 05:03:12 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2018-05-29 07:32:31 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.